<h4>UI Demo Settings</h4>

<form (ngSubmit)="onSubmit()">
  <div>
    <div>
      <label for="apiUrl">Sparql endpoint:</label>
    </div>
    <input
      type="text"
      size="80"
      id="sparqlEndpoint"
      [(ngModel)]="configParams.sparqlEndpoint"
      name="sparqlEndpoint"
      required
    />
  </div>
  <div class="eui-u-mt-m">
    <div>Default SparQL mask</div>
    <textarea
      id="defaultQuery"
      [(ngModel)]="configParams.defaultQuery"
      name="defaultQuery"
      required
      rows="20"
      cols="80"
    ></textarea>
  </div>
  <button type="submit">Update</button>
</form>
